Package be.fgov.ehealth.rn.baselegaldata.v1

# Class MinimalNameInfoType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.MinimalNameInfoType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class MinimalNameInfoType extends Object implements Serializable

Java class for MinimalNameInfoType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MinimalNameInfoType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="LastName" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}LastNameType" minOccurs="0"/>
             <element name="GivenName" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}GivenNameType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="InceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MinimalNameInfoType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<GivenNameType>`
  `getGivenNames()`
  Gets the value of the givenNames property.
  `Instant`
  `getInceptionDate()`
  Gets the value of the inceptionDate property.
  `String`
  `getLastName()`
  Gets the value of the lastName property.
  `void`
  `setInceptionDate(Instant value)`
  Sets the value of the inceptionDate property.
  `void`
  `setLastName(String value)`
  Sets the value of the lastName property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MinimalNameInfoType

    public MinimalNameInfoType()

- ## Method Details

  - ### getLastName

    public String getLastName()
    Gets the value of the lastName property.
    Returns:
      possible object is `String`

  - ### setLastName

    public void setLastName(String value)
    Sets the value of the lastName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getGivenNames

    public List<GivenNameType> getGivenNames()
    Gets the value of the givenNames property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the givenNames property.

    For example, to add a new item, do as follows:

         getGivenNames().add(newItem);

    Objects of the following type(s) are allowed in the list `GivenNameType`

    Returns:
      The value of the givenNames property.

  - ### getInceptionDate

    public Instant getInceptionDate()
    Gets the value of the inceptionDate property.
    Returns:
      possible object is `String`

  - ### setInceptionDate

    public void setInceptionDate(Instant value)
    Sets the value of the inceptionDate property.
    Parameters:
      `value` - allowed object is `String`